#include "LoadoutItemViewData.h"

ULoadoutItemViewData::ULoadoutItemViewData()
{
	this->ItemId = NAME_None;
	this->DisplayName = FText::GetEmpty();
	this->ParentDisplayName = FText::GetEmpty();
	this->ParentTypeDisplayName = FText::GetEmpty();
	this->IsParentAvailable = false;
	this->Description = FText::GetEmpty();
	this->ItemType = EInventoryItemType::Item;
	this->Rarity = EItemRarity::Common;
	this->StatusEffectType = EStatusEffectType::None;
	this->Level = 0;
	this->Subtitle = FText::GetEmpty();
	this->StackCount = 0;
	this->IsStackFull = false;
	this->ShowStackCount = false;
	this->Availability = EItemAvailability::Available;
	this->IsTeachablePerk = false;
	this->IsSlasherPerk = false;
	this->IsRandomPerk = false;
	this->IsSlasher = false;
	this->IsLocked = false;
	this->UnlockableLevel = 0;
	this->IsEnabled = false;
	this->EventName = FText::GetEmpty();
	this->EventId = TEXT("");
	this->IsPastEvent = false;
	this->EventBannerLabel = TEXT("");
	this->CharacterClass = TEXT("");
	this->IsSkillUnlockable = false;
}
